
// TagCount object  (file: TagCount.js.php)

function TagCount() {

  // private variables
  var keepZeros  = true;       // bool

  // public variables
  this.lexias    = new Array;  // format: this.lexias['tagName'] = ##
  this.documents = new Array;  // format: this.documents['tagName'] = ##
	
  // public functions
	
  this.addTag = function (tagName, numLexias, numDocuments) {
    if (keepZeros) {
      this.lexias[tagName] = (null == numLexias) ? 0 : numLexias;
      this.documents[tagName] = (null == numDocuments) ? 0 : numDocuments;
    } else {
      if (null != numLexias && numLexias > 0) this.lexias[tagName] = numLexias;
      if (null != numLexias && numLexias > 0) this.documents[tagName] = numDocuments;
    }
    if (keepZeros || this.lexias[tagName] || this.documents[tagName]) return true;
    return false;
  }

  this.zeros = function (bool) {
    keepZeros = (true == bool) ? true : false;
    var x;
    if (!keepZeros) {
      for (x in this.lexias) {
        if (this.lexias[x] == 0) delete this.lexias[x];
      }
      for (x in this.documents) {
        if (this.documents[x] == 0) delete this.documents[x];
      }
    }
  }
	
  this.getNumLexias = function (tagName) {
    return (this.lexias[tagName]) ? this.lexias[tagName] : false;
  }
	
  this.getNumDocuments = function (tagName) {
    return (this.documents[tagName]) ? this.documents[tagName] : false;
  }
	
  this.addAmountToLexias = function (tagName, myNum) {
    if (this.lexias[tagName] || this.addTag(tagName)) { 
      if (null == myNum) myNum = 1;
      if (this.lexias[tagName]) this.lexias[tagName] = this.lexias[tagName] + myNum;
    }
  }
	
  this.addAmountToDocuments = function (tagName, myNum) {
    if (this.documents[tagName] || this.addTag(tagName)) { 
      if (null == myNum) myNum = 1;
      if (this.documents[tagName]) this.documents[tagName] = this.documents[tagName] + myNum;
    }
  }
	
} // end object

// add content to object
var numTaggedWith = new TagCount();

numTaggedWith.addTag('amateur', 2, 2);
